import request from '@/utils/request'

export function getDialysisScheduals(params) {
  return request({
    url: '/m/api/scheduals',
    method: 'get',
    params: params
  })
}

export function getWaitingScheduals(params) {
  return request({
    url: '/m/api/waiting_scheduals',
    method: 'get',
    params: params
  })
}

export function getDialysisRecord(params) {
  return request({
    url: '/m/api/dialysis/record',
    method: 'get',
    params: params
  })
}

export function dialysisGlobalConfig() {
  return request({
    url: '/m/api/dialysisglobalconfig',
    method: 'get'
  })
}

export function commitTreatmentSummary(params) {
  return request({
    url: '/m/api/dialysis/treatmentSummary',
    method: 'post',
    params: params,
    headers: {
      'Permission': 1
    }

  })
}

export function commitDoubleCheck(params) {
  return request({
    url: '/m/api/dialysis/doublecheck',
    method: 'post',
    params: params,
    headers: {
      'Permission': 1
    }
  })
}

export function commitAcceptsAssessment(params) {
  return request({
    url: '/m/api/dialysis/acceptsAssessment',
    method: 'post',
    params: params,
    headers: {
      'Permission': 1
    }

  })
}

export function finish(params) {
  return request({
    url: '/m/api/dialysis/finish',
    method: 'post',
    params: params,
    headers: {
      'Permission': 1
    }

  })
}

export function commitDialysisPrescription(params) {
  console.log('params', params)
  return request({
    url: '/m/api/dialysis/dialysisPrescription',
    method: 'post',
    params: params,
    headers: {
      'Permission': 1
    }

  })
}

export function commitAssessmentAfterDislysis(params) {
  return request({
    url: '/m/api/dialysis/assessmentAfterDislysis',
    method: 'post',
    params: params,
    headers: {
      'Permission': 1
    }

  })
}

export function addMonitorRecord(params) {
  return request({
    url: '/m/api/monitor/add',
    method: 'post',
    params: params,
    headers: {
      'Permission': 1
    }

  })
}

export function editMonitorRecord(params) {
  console.log('params', params)
  return request({
    url: '/m/api/monitor/edit',
    method: 'post',
    params: params,
    headers: {
      'Permission': 1
    }

  })
}

export function deleteMonitorRecord(params) {
  return request({
    url: '/m/api/monitor/delete',
    method: 'post',
    params: params,
    headers: {
      'Permission': 1
    }

  })
}

export function GetAllZone(params) {
  return request({
    url: '/m/api/dialysis/allzone',
    method: 'get',
    params: params
  })
}

export function getSchedualPatient(params) {
  return request({
    url: '/m/api/dialysis/patients',
    method: 'get',
    params: params
  })
}

export function postSolution(params) {
  return request({
    url: '/m/api/solution',
    method: 'post',
    params: params,
    headers: {
      'Permission': 1
    }

  })
}

export function startDialysis(params) {
  return request({
    url: '/m/api/dialysis/start',
    method: 'post',
    params: params,
    headers: {
      'Permission': 1
    }

  })
}

export function getLastAccepts(params) {
  return request({
    url: '/m/api/accepts/get',
    method: 'get',
    params: params
  })
}

export function getPrintDialysisRecord(params) {
  console.log('params------', params)
  return request({
    url: '/m/api/print/dialysisorder',
    method: 'Get',
    params: params
  })
}

export function getUrgentScheduleInitData(params) {
  return request({
    url: '/m/api/schedule/urgentinit',
    method: 'Get',
    params: params
  })
}

export function postUrgentSchedule(params) {
  return request({
    url: '/m/api/schedule/urgentadd',
    method: 'post',
    params: params
  })
}

export function postSign(params) {
  return request({
    url: '/m/api/dialysis/sign',
    method: 'Post',
    params: params

  })
}

export function GetMonitor(params) {
  return request({
    url: '/m/api/monitor/get',
    method: 'get',
    params: params
  })
}

export function GetMonitorToday(params) {
  return request({
    url: '/m/api/monitor/gettodaylast',
    method: 'get',
    params: params
  })
}

export function PostSearch(keyword) {
  return request({
    url: '/m/api/patients/search?keyword=' + keyword,
    method: 'post'

  })
}

export function PostModifyStartDialysis(params) {
  return request({
    url: '/m/api/startOrder/edit',
    method: 'post',
    params: params,
    headers: {
      'Permission': 1
    }

  })
}

export function PostModifyEndDialysis(params) {
  return request({
    url: '/m/api/finishOrder/edit',
    method: 'post',
    params: params,
    headers: {
      'Permission': 1
    }

  })
}

export function CreateGroupAdvice(id, groupno, advices) {
  return request({
    url: '/m/api/advice_remind/create?id=' + id + '&groupno=' + groupno,
    method: 'post',
    data: advices
  })
}

export function CreateDryWeight(params) {
  return request({
    url: '/m/api/dryweight/commit',
    method: 'post',
    params: params,
    headers: {
      'Permission': 1
    }

  })
}

export function GetSolution(params) {
  return request({
    url: '/m/api/solution/get',
    method: 'get',
    params: params
  })
}

export function GetSchedualNumber(params) {
  return request({
    url: '/m/api/schedule/get',
    method: 'get',
    params: params
  })
}

export function getPatientId(id, params) {
  return request({
    url: '/m/api/getPatientid?id=' + id,
    method: 'get',
    params: params
  })
}
