import axios from "axios";
// import { Toast } from 'mint-ui'
import { Toast } from "vant";

import context from '../../src/main.js'


// create an axios instance
const service = axios.create({
  baseURL: process.env.BASE_API, // api的base_url
  timeout: 30000, // request timeout
  withCredentials: true
});

var self = this;
// respone interceptor
service.interceptors.response.use(
  // response => response,
  response => {
    const res = response.data;
    if (res.state !== 1) {
      if (res.code === 20049) {
        // this.$router.replace("/")
        // this.$router.replace({ path: "/" });
        // window.location.href=window.location.href+
        // window.location.href = location.href+'?time='+((new Date()).getTime());
        // this.$router.go(0)
        // this.refresh()
        context.$router.replace({ path: "/" })

        // return
      } else if (res.code === 20035){
        Toast("你已经被管理员禁用,无法使用该系统");
        context.$router.replace({ path: "/" })
        return
      }else if(res.code === 6001){
        Toast("登录超时");
        context.$router.replace({ path: "/" })
        return
      }else if(res.code === 6002){
        Toast("登录信息丢失,正在刷新页面");
        context.$router.replace({ path: "/" })
        return

      }else {
        return response;
      }
    } else {
      return response;
    }
  },
  error => {
    if (error.message.includes("timeout")) {
      // 判断请求异常信息中是否含有超时timeout字符串
      return Promise.reject(error); // reject这个错误信息
    }
    return Promise.reject(error);
  }
);

export default service;
